Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_Attribute

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_SchemaObject
                  oracle.ifs.server.S_TieSchemaObject
                      oracle.ifs.server.S_Attribute

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

    public class S_Attribute

extends S_TieSchemaObject

An S_Attribute is the server-side representation of the ATTRIBUTE class.

(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_Attribute(S_LibrarySession ssession, java.lang.Long classId)` Constructs an S_Attribute.
`protected` | `S_Attribute(S_LibrarySession ssession, S_AttributeData data)` Constructs an S_Attribute.
`protected` | `S_Attribute(S_LibrarySession ssession, S_LibraryObjectData data)` Constructs an S_Attribute.

Method Summary
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` deriveDefinition - Add to the S_LibraryObjectDefinition for this class.
`static int` | `doDanglingArrayReferencesCleanUp(S_LibrarySession session, java.util.Vector params)` Perform dangling array type object references cleanup
`static int` | `doDanglingObjectReferencesCleanUp(S_LibrarySession session, java.util.Vector params)` Perform dangling object references cleanup
`protected void` | `extendedPostFree(OperationState opState, S_LibraryObjectDefinition def)` Performs post-free operations.
`protected void` | `extendedPostInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs post-insert operations.
`protected void` | `extendedPostUpdate(OperationState opState, S_LibraryObjectDefinition sdef)` Performs post-update operations.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Performs pre-free operations.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs pre-insert validation.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition sdef)` Performs pre-update validation.
`java.lang.String` | `getDatabaseObjectName()` getDatabaseObjectName - gets the database column name used by this Attribute.
`int` | `getDatatype()` getDatatype - gets the datatype of this Attribute
`S_ClassObject` | `getDefiningClass()` Returns the ClassObject that defines this attribute.
`protected S_LibraryObjectDefinition` | `getDefinition()` Override getDefinition() to construct the correct bean-side definition.

Methods inherited from class oracle.ifs.server.S_SchemaObject
`addCategory, cascadeFree, getCategories, getCategories, getCategories, handleCascade, hasNameAttribute, verifyCanCreate, verifyCanFree, verifyCanUpdate`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeCopy, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, extendedPreCopy, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getAuditEventFolderContext, getClassData, getClassId, getClassName, getClassObject, getData, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isAuditCertificateSecured, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyCanSetPolicy, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_Attribute

    protected S_Attribute(S_LibrarySession ssession,
                          S_LibraryObjectData data)
                   throws IfsException

  Constructs an S_Attribute.

  Parameters:
    `ssession` - the current session
    `data` - the object's data
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### S_Attribute

    protected S_Attribute(S_LibrarySession ssession,
                          S_AttributeData data)
                   throws IfsException

  Constructs an S_Attribute.

  This variant takes an S_AttributeData instead of S_LibraryObjectData. It is used by dynamic construction.

  Parameters:
    `ssession` - the current session
    `data` - the object's data
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### S_Attribute

    protected S_Attribute(S_LibrarySession ssession,
                          java.lang.Long classId)
                   throws IfsException

  Constructs an S_Attribute.

  This variant is used for objects that have not yet been created in the database.

  Parameters:
    `ssession` - the current session
    `classId` - the class id of the attribute (not the id of the containing class object)
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

Method Detail

### getDatatype

    public int getDatatype()
                    throws IfsException

  Description copied from class: `S_Attribute`
  getDatatype - gets the datatype of this Attribute

  Returns:
    the datatype.
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getDatabaseObjectName

    public java.lang.String getDatabaseObjectName()
                                           throws IfsException

  Description copied from class: `S_Attribute`
  getDatabaseObjectName - gets the database column name used by this Attribute.

  Returns:
    the database column name.
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getDefiningClass

    public S_ClassObject getDefiningClass()
                                   throws IfsException

  Description copied from class: `S_Attribute`
  Returns the ClassObject that defines this attribute.

  Returns:
    the class which defines this attribute.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### doDanglingObjectReferencesCleanUp

    public static int doDanglingObjectReferencesCleanUp(S_LibrarySession session,
                                                        java.util.Vector params)
                                                 throws IfsException

  Description copied from class: `S_Attribute`
  Perform dangling object references cleanup

  Parameters:
    `session` - the current session
    `params` - Vector of parameters needed for this cleanup
  Returns:
    Number of objects cleaned up
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### doDanglingArrayReferencesCleanUp

    public static int doDanglingArrayReferencesCleanUp(S_LibrarySession session,
                                                       java.util.Vector params)
                                                throws IfsException

  Description copied from class: `S_Attribute`
  Perform dangling array type object references cleanup

  Parameters:
    `session` - the current session
    `params` - Vector of parameters needed for this cleanup
  Returns:
    number of rows cleaned up
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_Attribute`
  deriveDefinition - Add to the S_LibraryObjectDefinition for this class. This this called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_SchemaObject`
  Parameters:
    `def` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getDefinition

    protected S_LibraryObjectDefinition getDefinition()
                                               throws IfsException

  Description copied from class: `S_Attribute`
  Override getDefinition() to construct the correct bean-side definition.

  Overrides:
    `getDefinition` in class `S_LibraryObject`
  Returns:
    the dervied definition for this instance
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Description copied from class: `S_Attribute`
  Performs pre-insert validation.

  Overrides:
    `extendedPreInsert` in class `S_SchemaObject`
  Parameters:
    `opState` - the operation state
    `sdef` - the definition of the Attribute being created
  Throws:
    `IfsException` - (IFS-10420) if a class domain is specified for a non-object type Attribute
  (Published)

### extendedPostInsert

    protected void extendedPostInsert(OperationState opState,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_Attribute`
  Performs post-insert operations.

  Overrides:
    `extendedPostInsert` in class `S_LibraryObject`
  Parameters:
    `opState` - the operation state
    `sdef` - the definition of the Attribute being created
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Description copied from class: `S_Attribute`
  Performs pre-update validation.

  Overrides:
    `extendedPreUpdate` in class `S_SchemaObject`
  Parameters:
    `opState` - the operation state
    `sdef` - the definition of the Attribute being updated
  Throws:
    `IfsException` - (IFS-10420) if a class domain is specified for a non-object type Attribute
  (Published)

### extendedPostUpdate

    protected void extendedPostUpdate(OperationState opState,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_Attribute`
  Performs post-update operations.

  Overrides:
    `extendedPostUpdate` in class `S_LibraryObject`
  Parameters:
    `opState` - the operation state
    `sdef` - the definition of the Attribute being updated
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_Attribute`
  Performs pre-free operations.

  Overrides:
    `extendedPreFree` in class `S_LibraryObject`
  Parameters:
    `opState` - the operation state
    `def` - object definition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### extendedPostFree

    protected void extendedPostFree(OperationState opState,
                                    S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_Attribute`
  Performs post-free operations.

  Overrides:
    `extendedPostFree` in class `S_LibraryObject`
  Parameters:
    `opState` - the operation state
    `def` - object definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD